Start a Robot session turn
Start a turn in a Robot session. The session is created when it does not already exist. New sessions use Denbot unless `robotId` selects a custom Robot, which then remains the root Robot for the session. The turn runs asynchronously. The response identifies the turn stream that clients can read immediately and resume later.
/robots/sessionsStart a turn in a Robot session. The session is created when it does
not already exist. New sessions use Denbot unless robotId selects a
custom Robot, which then remains the root Robot for the session.
The turn runs asynchronously. The response identifies the turn stream that clients can read immediately and resume later.
In: cookie
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/robots/sessions" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "messages": [ {} ] }'{
"streamUrl": "string",
"sessionId": "cc5lnd2s1s4652adtu50",
"turnId": "cc5lnd2s1s4652adtu50"
}{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}Update a robot provider PATCH
Update a Robot model provider configuration. API keys are write-only and are redacted from responses.
Get a robot session GET
Retrieve a specific robot session with all of its messages. Sessions can involve interactions with multiple Robots so the Robot is specified on each message. Messages may not be representative of exactly what is sent into a language model, as certain optimisations may be performed before this such as compaction, summarisation or removal of irrelevant context. Any member with "USE_ROBOTS" can see any other members' sessions and messages with a Robot. Robots are not considered private assistants, but rather shared tools for the team to use for managing their community.